package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.QcResultPercentDTO;
import com.diagbot.entity.QcresultInfo;
import com.diagbot.vo.FilterVO;
import com.diagbot.vo.QcresultFilterVO;

import java.util.List;

/**
 * <p>
 * 质控评分结果信息
每次评分增加一条信息，前面所有评分is_deleted全部设置为Y Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
public interface QcresultInfoMapper extends BaseMapper<QcresultInfo> {

    /**
     * 筛选质控记录
     *
     * @param qcresultFilterVO
     * @return
     */
    public int getQcresultSelectively(QcresultFilterVO qcresultFilterVO);

    /**
     * 质控病历数统计
     *
     * @param qcresultFilterVO
     * @return
     */
    public int resultCount(QcresultFilterVO qcresultFilterVO);

    /**
     * 按科室统计各等级病历百分比
     *
     * @param filterVO
     * @return
     */
    public List<QcResultPercentDTO> levelPercentGroupByDept(FilterVO filterVO);
}
