package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.QcResultPercentDTO;
import com.diagbot.entity.QcresultInfo;
import com.diagbot.mapper.QcresultInfoMapper;
import com.diagbot.service.QcresultInfoService;
import com.diagbot.vo.FilterVO;
import com.diagbot.vo.QcresultFilterVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 质控评分结果信息
每次评分增加一条信息，前面所有评分is_deleted全部设置为Y 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Service
public class QcresultInfoServiceImpl extends ServiceImpl<QcresultInfoMapper, QcresultInfo> implements QcresultInfoService {

    /**
     * 筛选质控记录
     *
     * @param qcresultFilterVO
     * @return
     */
    @Override
    public int getQcresultSelectively(QcresultFilterVO qcresultFilterVO) {
        return baseMapper.getQcresultSelectively(qcresultFilterVO);
    }

    /**
     * 质控病历数统计
     *
     * @param qcresultFilterVO
     * @return
     */
    @Override
    public int resultCount(QcresultFilterVO qcresultFilterVO) {
        return baseMapper.resultCount(qcresultFilterVO);
    }


    /**
     * 按科室统计各等级病历百分比
     *
     * @param filterVO
     * @return
     */
    @Override
    public List<QcResultPercentDTO> levelPercentGroupByDept(FilterVO filterVO) {
        return baseMapper.levelPercentGroupByDept(filterVO);
    }
}
